<div class="container">
    <br/>
    <div class="row justify-content-center">
        <div class="col-12">
          <form class="card justify-content-center">
            <div class="card-body row no-gutters align-items-center justify-content-center">
              <img src="../../../assets/descarga.png" height="227" width="222"/>
            </div>
            <div class="flex row justify-content-center">

              <h1>DISEÑO DE LENGUAJES DE CONSULTA</h1>
            </div>
            <div class="flex row justify-content-center">
              <h2>Trabajo Práctico Integrador</h2>
            </div>

            <div class="flex row justify-content-center">
              <h4>Integrantes:</h4>
            </div>

            <div class="flex row justify-content-center">
              <h5>Acosta Andres - 59434 - 4k6</h5>
            </div>

            <div class="flex row justify-content-center">
              <h5>Soria Federico - 58331 - 4k4</h5>
            </div>
            <div class="flex row justify-content-center" style="padding-top: 15px">
              <h6>Año 2020</h6>
            </div>
          </form>
            <form class="card card-sm">

                <div class="card-body row no-gutters align-items-center">
                    <div class="col-auto">
                        <i class="fas fa-search h4 text-body"></i>
                    </div>
                    <!--end of col-->
                    <div class="col">
                        <input [(ngModel)]="palabra" required [ngModelOptions]="{standalone: true}" class="form-control form-control-lg form-control-borderless" type="search" placeholder="Buscar temas o palabras">
                    </div>
                    <!--end of col-->
                    <div class="col-auto">
                        <button [disabled]="palabra.length == 0" class="btn btn-lg btn-success" (click)="buscar()" type="submit">Buscar</button>
                    </div>
                    <!--end of col-->
                </div>

            </form>
        </div>
        <!--end of col-->
      <div class="row float-right" style="margin-top:20px ">
        <div class="col">
          <button class="btn btn-lg btn-primary" (click)="indexar()" type="button">Indexar</button>
        </div>
        <div class="col">
          <button class="btn btn-lg btn-secondary" (click)="setMax()" type="button">SetMax</button>
        </div>
      </div>
    </div>

</div>

<div *ngIf="documentos && documentos.length > 0" class="container">
    <div class="row">
        <h2 class="text-center">Resultados</h2>
    </div>
    <div class="row">
        <div class="col-md-12">
            <table id="datatable" #table class="table table-striped table-bordered" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th>Relevancia</th>
                        <th>Nombre</th>
                        <th>Url</th>
                        <th>Descargar</th>
                    </tr>
                </thead>

                <tbody>
                    <tr *ngFor="let documento of documentos; let i = index">
                        <td>{{i + 1}}</td>
                        <td>{{documento.docName}}</td>
                        <td>{{documento.url}}</td>
                        <td>
                            <div class="justify-content-center">
                                <button (click)="descargar(documento.url)" class="btn btn-primary"><i class="fa fa-download"></i></button></div>
                        </td>
                    </tr>
                </tbody>
            </table>

        </div>
    </div>
</div>
<ngx-spinner></ngx-spinner>
